﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SummaryGrid.ascx.cs" Inherits="eQuipCloud.Core.Module.SummaryGrid" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>
<%@ Register Src="CustomPageControl.ascx" TagName="CustomPageControl" TagPrefix="uc1" %>

<style>
    .igg_CustomPager {
        font-size: 11px;
        margin-right: 30px;
        /*background-color: #005bff;*/
        text-align: center !important;
        vertical-align: middle !important;
        background-image: url(/samplesbrowser/samplescommon/aspnet/webdatagrid/style/pagingcustomcss/pagerbg.gif);
        background-position: 0 0px;
    }

    .DropDownClass {
        font-size: 11px;
    }

    .igg_PageLink {
        border: 0px solid #ff0000;
        padding-left: 0px;
        padding-right: 0px;
    }

    .igg_CurrentPageLink {
        color: white;
        background-image: url(/samplesbrowser/samplescommon/aspnet/webdatagrid/style/pagingcustomcss/custompager.png);
        background-repeat: no-repeat;
        padding-top: 6px;
        padding-left: 15px;
        padding-right: 15px;
        padding-bottom: 5px;
    }
</style>

<script>

    function fixGridForChrome(sender, args) {
        sender._elements.dataTbl.style = "visible";
        sender._elements.dataTbl.style = "initial";
    }

</script>

<!--DATE PANEL -->
<asp:Panel ID="pnlDateFilter" runat="server">
    <div class="panel-group" id="accordion">
        <div class="panel panel-default voffbset2">
            <div class="panel-heading">
                <h4 class="panel-title smaller">
                    <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                        <span id="glyphicon" class="glyphicon"></span>
                        Date Filtering
                    </a>
                </h4>
            </div>
            <div id="collapseOne" class="panel-collapse collapse out">
                <div class="panel-body">

                    <asp:Repeater ID="rptDateRanges" runat="server">
                        <ItemTemplate>
                            <div class="form-group">
                                <div class="col-md-12">
                                    <div class="col-md-2 voffset2">
                                        <div class="row">
                                            <div class="col-sm-12 sm">
                                                <asp:Label ID="lblDate" runat="server" Text='<%# Eval("HeaderText") %>' class="control-label"></asp:Label>
                                                <asp:HiddenField ID="hfDateField" runat="server" Value='<%# Eval("FieldName") %>' />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 voffset2">
                                        <ig:WebDatePicker ID="wdpFrom" runat="server" MinValue="01/01/1800" CssClass="form-control dtp"></ig:WebDatePicker>
                                    </div>
                                    <div class="col-md-3 voffset2">
                                        <ig:WebDatePicker ID="wdpTo" runat="server" MinValue="01/01/1800" CssClass="form-control dtp"></ig:WebDatePicker>
                                    </div>
                                    <div class="col-md-4 ">
                                        <div class="row">
                                            <div class="col-sm-12 voffset2">
                                                <span style="padding-bottom: 0px;">
                                                    <asp:Button ID="btnApply" runat="server" Text="Apply"
                                                        CssClass="btn btn-primary btn-sm" OnClick="btnApply_Click" />
                                                </span>
                                                <span style="margin-left: 2px; padding-bottom: 5px;">
                                                    <asp:Button ID="btnClear" runat="server" Text="Clear"
                                                        CssClass="btn btn-primary btn-sm" OnClick="btnClear_Click" />
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>

                </div>
            </div>
        </div>
    </div>
</asp:Panel>
<!-- End Date Panel -->

<asp:Panel ID="pnlLookForLookIn" runat="server" DefaultButton="btnLookFor">
    <asp:PlaceHolder ID="phLookForLookIn" runat="server" Visible="false">
        <div class="panel panel-default voffbset2">
            <div class="panel-body">
                <div class="row">
                    <div class="form-group">
                        <div class="col-md-12">
                            <div class="col-md-4 voffset2">
                                <div class="row">
                                    <div class="col-md-3 lblpad sm">
                                        <asp:Label ID="Label9" runat="server" Text="Look For:" class="control-label"></asp:Label>
                                    </div>
                                    <div class="col-md-7">
                                        <asp:TextBox ID="txtLookFor" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 voffset2">
                                <div class="row">
                                    <div class="col-md-3 lblpad sm">
                                        <asp:Label ID="Label2" runat="server" Text="Look In:" class="control-label"></asp:Label>
                                    </div>
                                    <div class="col-md-7">
                                        <asp:DropDownList ID="ddLookIn" runat="server" CssClass="form-control">
                                        </asp:DropDownList>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 voffset2">
                                <div class="row">
                                    <div class="col-md-12">
                                        <span style="padding-bottom: 5px;">
                                            <asp:Button ID="btnLookFor" runat="server" Text="Find Now" CssClass="btn btn-primary btn-sm" OnClick="btnLookFor_Click" />
                                        </span>
                                        <span style="margin-left: 3px; padding-bottom: 5px;">
                                            <asp:Button ID="btnShowAll" runat="server" Text="Show All" CssClass="btn btn-primary btn-sm" OnClick="bntShowAll_Click" />
                                        </span>
                                        <span style="margin-left: 10px; padding-bottom: 5px;">
                                            <asp:LinkButton ID="lnkBtnExport" runat="server" Text="<i class='glyphicon glyphicon-export'></i> &nbsp; Export" CssClass="btn btn-success btn-sm" OnClick="lnkBtnExport_Click"></asp:LinkButton>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </asp:PlaceHolder>
</asp:Panel>


<ig:WebScriptManager ID="WebScriptManager1" runat="server">
</ig:WebScriptManager>
<ig:WebExcelExporter ID="WebExcelExporter1" runat="server" ExportMode="InBrowser" DataExportMode="AllDataInDataSource" WorkbookFormat="Excel2007">
</ig:WebExcelExporter>

<ig:WebDataGrid ID="grdSummary" runat="server" Width="100%" DefaultColumnWidth="150px" OnCustomDataBinding="grd_CustomDataBinding"
    AutoGenerateColumns="false" OnInitializeRow="grdSummary_InitializeRow" StyleSetName="Office2007Black"
    OnDataBound="WebDataGridView_DataBound" EnableAjax="false">
    <Behaviors>
        <ig:Paging PagerAppearance="Bottom" PagerMode="NumericFirstLast" PagerCssClass="igg_CustomPager" Enabled="true">
            <PagerTemplate>
                <uc1:CustomPageControl ID="CustomPager" runat="server" />
            </PagerTemplate>
        </ig:Paging>
        <ig:Selection RowSelectType="single" Enabled="false" />
        <ig:Sorting SortingMode="Single" Enabled="true" />
        <ig:Filtering Alignment="Top" Visibility="Visible" Enabled="true" AnimationEnabled="false" />
    </Behaviors>
</ig:WebDataGrid>


<script type="text/javascript">
    $(document).ready(function () {
        //when a group is shown, save it as the active accordion group
        $("#accordion").on('shown.bs.collapse', function () {
            var active = $("#accordion .in").attr('id');
            $.cookie('activeAccordionGroup', "");
            $(this).parent().find(".glyphicon-plus").removeClass("glyphicon-plus").addClass("glyphicon-minus");
        });

        $("#accordion").on('hidden.bs.collapse', function () {
            $.removeCookie('activeAccordionGroup');
            $(this).parent().find(".glyphicon-minus").removeClass("glyphicon-minus").addClass("glyphicon-plus");
        });


        $("#glyphicon").addClass("glyphicon-plus");

        var last = $.cookie('activeAccordionGroup');
        if (last != null) {
            //remove default collapse settings
            $("#accordion .panel-collapse").removeClass('in');
            //show the account_last visible group
            $("#" + "collapseOne").addClass("in");

            $("#glyphicon").removeClass("glyphicon-plus");
            $("#glyphicon").addClass("glyphicon-minus");
        }

    });
</script>
