﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FinancialControl.ascx.cs" Inherits="eQuipCloud.WardUser.Module.FinancialControl" %>

<script>
    function TechnicianCalculate() {
        var hours = document.getElementById('<%= TechnicianHours.ClientID %>').value;
        var net = document.getElementById('<%= TechnicianRate.ClientID %>').value;
        var vat = document.getElementById('<%= TechnicianRateVAT.ClientID %>').value;
        var gross = document.getElementById('<%= TechnicianRateOutput.ClientID %>');
        var overallCost = document.getElementById('<%= TechnicianCost.ClientID %>');

        if (net != '' && vat != '') {
            gross.value = (net * (1 + (vat / 100))).toFixed(2);
            overallCost.value = hours * gross.value;
        }
    }

    window.setInterval(function () {
        var width = window.innerWidth;
        var height = window.innerHeight;

        var lastCheckedWidth;

        var VatSpan = document.getElementById('<%= VATSpan.ClientID %>');
        if (width <= 1024 && lastCheckedWidth !== width) {
            lastCheckedWidth = width;
            VatSpan.innerHTML = "";
            VatSpan.style.padding = "0px 0px 0px 0px";
        } else if (width > 1024 && lastCheckedWidth !== width) {
            VatSpan.innerHTML = "% VAT ";
            VatSpan.style = "initial";
        }
    }, 1000);
</script>


<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
            <asp:Label ID="lblTechnicianHours" Text="Technician Hours:" runat="server" CssClass="control-label"></asp:Label>
        </div>
        <div class="col-sm-8">
            <div class="form-group" id="Div4" runat="server">
                <asp:TextBox ID="TechnicianHours" class="form-control" runat="server" Text=""></asp:TextBox>
            </div>
        </div>
    </div>
</div>
<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
        </div>
        <div class="col-sm-8">
            <label></label>
        </div>
    </div>
</div>
<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
            <asp:Label ID="lblTechnicianRate" Text="Technician Rate:" runat="server" CssClass="control-label"></asp:Label>
        </div>
        <div class="col-sm-8">
            <div class="form-group" id="priceBarForm" runat="server">
                <div class='input-group' id='technicianRateGroup'>
                    <span class="input-group-addon">
                        <label id="currencyLabel" runat="server"></label>
                    </span>
                    <asp:TextBox ID="TechnicianRate" class="form-control" runat="server" Text=""></asp:TextBox>
                    <span class="input-group-addon"><i class="glyphicon glyphicon-plus"></i></span>
                    <asp:TextBox ID="TechnicianRateVAT" class="form-control" runat="server" Text=""></asp:TextBox>
                    <asp:Panel runat="server" ID="VATSpan" class="input-group-addon">% VAT </asp:Panel>
                    <span class="input-group-addon"><i class="fa fa-caret-right"></i></span>
                    <asp:TextBox ID="TechnicianRateOutput" class="form-control" runat="server"></asp:TextBox>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
            <asp:Label ID="lblTechnicianCost" Text="Technician Cost:" runat="server" CssClass="control-label"></asp:Label>
        </div>
        <div class="col-sm-8">
            <div class="form-group" id="Div3" runat="server">
                <div class='input-group' id='technicialCostGroup'>
                    <span class="input-group-addon">
                        <label id="currencyLabel1" runat="server"></label>
                    </span>
                    <asp:TextBox ID="TechnicianCost" class="form-control" runat="server" Text=""></asp:TextBox>
                </div>
            </div>
        </div>
    </div>
</div>


<%--<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
            <asp:Label ID="label3" runat="server" CssClass="control-label"></asp:Label>
        </div>
        <div class="col-sm-8">
            <div class="form-group" id="Div1" runat="server">
                <div class='input-group' id='AssistantRateGroup'>
                    <span class="input-group-addon">
                        <label id="Label1" runat="server"></label>
                    </span>
                    <asp:TextBox ID="AssistantRate" class="form-control" runat="server" Text=""></asp:TextBox>
                    <span class="input-group-addon"><i class="glyphicon glyphicon-plus"></i></span>
                    <asp:TextBox ID="AssistantRateVAT" class="form-control" runat="server" Text=""></asp:TextBox>
                    <asp:Panel runat="server" ID="Panel1" class="input-group-addon">% VAT </asp:Panel>
                    <span class="input-group-addon"><i class="fa fa-caret-right"></i></span>
                    <asp:TextBox ID="AssistantRateOverall" class="form-control" runat="server"></asp:TextBox>
                </div>
            </div>
        </div>

    </div>
</div>


<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
            <asp:Label ID="label4" runat="server" CssClass="control-label"></asp:Label>
        </div>
        <div class="col-sm-8">
            <div class="form-group" id="Div2" runat="server">
                <div class='input-group' id='SupervisorRateGroup'>
                    <span class="input-group-addon">
                        <label id="Label2" runat="server"></label>
                    </span>
                    <asp:TextBox ID="SupervisorRate" class="form-control" runat="server" Text=""></asp:TextBox>
                    <span class="input-group-addon"><i class="glyphicon glyphicon-plus"></i></span>
                    <asp:TextBox ID="SupervisorRateVAT" class="form-control" runat="server" Text=""></asp:TextBox>
                    <asp:Panel runat="server" ID="Panel2" class="input-group-addon">% VAT </asp:Panel>
                    <span class="input-group-addon"><i class="fa fa-caret-right"></i></span>
                    <asp:TextBox ID="SupervisorRateOverall" class="form-control" runat="server"></asp:TextBox>
                </div>
            </div>
        </div>
    </div>
</div>--%>
