﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="PriceBarControl.ascx.cs" Inherits="eQuipCloud.WardUser.Module.PriceBarControl" %>

<script>
    function <%= priceData.Field%>Calculate() {
        var net = document.getElementById('<%= priceInput.ClientID %>').value;
        var vat = document.getElementById('<%= vatInput.ClientID %>').value;
        var gross = document.getElementById('<%= overallOutput.ClientID %>');

        if (net != '' && vat != '') {
            gross.value = (net * (1 + (vat / 100))).toFixed(2);
        }
    }
</script>

<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
            <asp:Label ID="label" runat="server" CssClass="control-label"></asp:Label>
        </div>

        <div class="col-sm-8">
            <div class="form-group" id="priceBarForm" runat="server">
                <div class='input-group' id='priceBar'>
                    <span class="input-group-addon">
                        <label id="currencyLabel" runat="server"></label>
                    </span>
                    <asp:TextBox ID="priceInput" class="form-control" runat="server" Text=""></asp:TextBox>
                    <span class="input-group-addon"><i class="glyphicon glyphicon-plus"></i></span>
                    <asp:TextBox ID="vatInput" class="form-control" runat="server" Text=""></asp:TextBox>
                    <asp:panel runat="server" id="VATSpan" ClientIDMode="Static" class="input-group-addon Shrinkable"><strong>%</strong></asp:panel>
                    <span class="input-group-addon"><i class="fa fa-caret-right"></i></span>
                    <asp:TextBox ID="overallOutput" class="form-control" runat="server"></asp:TextBox>
                </div>
            </div>
        </div>
    </div>
</div>
