﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RBMBar.ascx.cs" Inherits="eQuipCloud.WardUser.Module.RBMBarControl" %>

<script>
    function RiskCalculate() {
        var bar = document.getElementById('<%= RBMBarForm.ClientID %>');

        var net = document.getElementById('<%= RBMLikelihood.ClientID %>');
        if (net.value > 5) {
            bar.style.borderColor = "orange";
            net.style.borderColor = "red";
            net.style.backgroundColor = "#FFCC00";
        }
        else {
            net.style.borderColor = "";
            net.style.backgroundColor = "";
        }

        var vat = document.getElementById('<%= RBMConsequence.ClientID %>');
        if (vat.value > 5) {
            bar.style.borderColor = "orange";
            vat.style.borderColor = "red";
            vat.style.backgroundColor = "#FFCC00";
        }
        else {
            vat.style.borderColor = "";
            vat.style.backgroundColor = "";
        }
        var gross = document.getElementById('<%= RBMValue.ClientID %>');

        if ((net.value != '' && vat.value != '') && net.value <= 5) {            
            gross.value = (net.value * vat.value);
        }
        else {
            gross.value = "Values (0-5)"
        }
    }
</script>

<div class="col-sm-6 voffset2">
    <div class="row">
        <div class="col-sm-3 smaller lblpad">
            <asp:Label ID="label" runat="server" CssClass="control-label"></asp:Label>
        </div>

        <div class="col-sm-8">
            <div class="form-group" id="RBMBarForm" runat="server">
                <div class='input-group' id='priceBar'>
                    <span class="input-group-addon">
                        <asp:Label runat="server">Likelihood</asp:Label></span>
                    <asp:TextBox ID="RBMLikelihood" runat="server"></asp:TextBox>
                    <span class="input-group-addon">
                        <asp:Label runat="server">Consequence</asp:Label></span>
                    <asp:TextBox ID="RBMConsequence" runat="server"></asp:TextBox>
                    <span class="input-group-addon">
                        <asp:Label runat="server">Value</asp:Label></span>
                    <asp:TextBox ID="RBMValue" class="form-control" runat="server" ReadOnly="true"></asp:TextBox>
                </div>
            </div>
        </div>
    </div>
</div>
